﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub

Sub SettingLayoutPanel(ac As Activity,pn As Panel)

	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	
	pn.Width = 100%x
	pn.Height = 100%y

    Dim xleft, xtop, xwidth, xheight, lwidth, lheigh As Int
    Dim ScaleX, ScaleY As Float

    lwidth = ac.Width ' larghezza display
    lheigh = ac.Height ' altezza display
    
	If ac.Width < ac.Height Then
    	ScaleX = lwidth / 320 / Density
    	ScaleY = lheigh / 430 / Density    ' 480 - (2 * 25 )
	Else
	    ScaleX = lwidth / 480 / Density
    	ScaleY = lheigh / 270 / Density    ' 480 - (2 * 25 )
	End If

    For i = 0 To pn.NumberOfViews-1
		Dim v As View
		v = pn.GetView(i)
        xleft = pn.GetView(i).Left * ScaleX
        xtop = pn.GetView(i).Top * ScaleY
        xwidth = pn.GetView(i).Width * ScaleX
        xheight = pn.GetView(i).Height * ScaleY
        pn.GetView(i).SetLayout(xleft,xtop,xwidth,xheight)
    Next

End Sub


' SettingLayoutPanel portrait
'
' suits all the object contained in the panel according to the display
' SettingLayoutPanel(Activity,Panel1)
Sub SettingLayoutPanelPortrait(ac As Activity,pn As Panel)

	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	
	pn.Width = 100%x
	pn.Height = 100%y

    Dim xleft, xtop, xwidth, xheight, lwidth, lheigh As Int
    Dim ScaleX, ScaleY As Float

    lwidth = ac.Width ' larghezza display
    lheigh = ac.Height ' altezza display
    
    ScaleX = lwidth / 320 / Density
    ScaleY = lheigh / 430 / Density    ' 480 - (2 * 25 ) 

    For i = 0 To pn.NumberOfViews-1
		Dim v As View
		v = pn.GetView(i)
        xleft = pn.GetView(i).Left * ScaleX
        xtop = pn.GetView(i).Top * ScaleY
        xwidth = pn.GetView(i).Width * ScaleX
        xheight = pn.GetView(i).Height * ScaleY
        pn.GetView(i).SetLayout(xleft,xtop,xwidth,xheight)
    Next

End Sub

' SettingLayoutPanel landscape
'
' suits all the object contained in the panel according to the display
' SettingLayoutPanel(Activity,Panel1)
Sub SettingLayoutPanelLandscape(ac As Activity,pn As Panel)

	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	
	pn.Width = 100%x
	pn.Height = 100%y

    Dim xleft, xtop, xwidth, xheight, lwidth, lheigh As Int
    Dim ScaleX, ScaleY As Float

    lwidth = ac.Width ' larghezza display
    lheigh = ac.Height ' altezza display
    
    ScaleX = lwidth / 480 / Density
    ScaleY = lheigh / 270 / Density    ' 480 - 2 * 25  

    For i = 0 To pn.NumberOfViews-1
		Dim v As View
		v = pn.GetView(i)
        xleft = pn.GetView(i).Left * ScaleX
        xtop = pn.GetView(i).Top * ScaleY
        xwidth = pn.GetView(i).Width * ScaleX
        xheight = pn.GetView(i).Height * ScaleY
        pn.GetView(i).SetLayout(xleft,xtop,xwidth,xheight)
    Next

End Sub

' SettingLayout
'
' suits all the object contained in activity according to the display
' SettingLayout(Activity)
Sub SettingLayout(ac As Activity)

	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	
    Dim xleft, xtop, xwidth, xheight, lwidth, lheigh As Int
    Dim ScaleX, ScaleY As Float

    lwidth = ac.Width
    lheigh = ac.Height
    
	If ac.Width < ac.Height Then
    	ScaleX = lwidth / 320 / Density
    	ScaleY = lheigh / 430 / Density    ' 480 - (2 * 25 )
	Else
	    ScaleX = lwidth / 480 / Density
    	ScaleY = lheigh / 270 / Density    ' 480 - (2 * 25 )
	End If

    For i = 0 To ac.NumberOfViews-1
	
		Dim v As View
		v = ac.GetView(i)
		
        xleft = ac.GetView(i).Left * ScaleX
        xtop = ac.GetView(i).Top * ScaleY
        xwidth = ac.GetView(i).Width * ScaleX
        xheight = ac.GetView(i).Height * ScaleY
        ac.GetView(i).SetLayout(xleft,xtop,xwidth,xheight)
		
    Next

End Sub

' SettingLayout portrait
'
' suits all the object contained in activity according to the display
' SettingLayout(Activity)
Sub SettingLayoutPortrait(ac As Activity)

	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	
    Dim xleft, xtop, xwidth, xheight, lwidth, lheigh As Int
    Dim ScaleX, ScaleY As Float

    lwidth = ac.Width
    lheigh = ac.Height
    
    ScaleX = lwidth / 320 / Density
    ScaleY = lheigh / 430 / Density  

    For i = 0 To ac.NumberOfViews-1
	
		Dim v As View
		v = ac.GetView(i)
		
        xleft = ac.GetView(i).Left * ScaleX
        xtop = ac.GetView(i).Top * ScaleY
        xwidth = ac.GetView(i).Width * ScaleX
        xheight = ac.GetView(i).Height * ScaleY
        ac.GetView(i).SetLayout(xleft,xtop,xwidth,xheight)
		
    Next

End Sub

' SettingLayout Landscape
'
' suits all the object contained in activity according to the display
' SettingLayout(Activity)
Sub SettingLayoutLandscape(ac As Activity)

	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	
    Dim xleft, xtop, xwidth, xheight, lwidth, lheigh As Int
    Dim ScaleX, ScaleY As Float

    lwidth = ac.Width
    lheigh = ac.Height
    
    ScaleX = lwidth / 480 / Density
    ScaleY = lheigh / 270 / Density  

    For i = 0 To ac.NumberOfViews-1
	
		Dim v As View
		v = ac.GetView(i)
		
        xleft = ac.GetView(i).Left * ScaleX
        xtop = ac.GetView(i).Top * ScaleY
        xwidth = ac.GetView(i).Width * ScaleX
        xheight = ac.GetView(i).Height * ScaleY
        ac.GetView(i).SetLayout(xleft,xtop,xwidth,xheight)
		
    Next

End Sub

' EditTextFontSize
'
' adjusts the font size based on the height of its container (Edittext)
' EditTextFontSize(EditText1)
Sub EditTextFontSize(v As View)
	If v Is EditText Then
		Dim et As EditText
		et = v
		Dim fx As Float
		fx = (et.Height - et.Height/2)
		et.TextSize = fx
	End If
End Sub

' LabelFontSize
'
' adjusts the font size based on the height of its container (Label)
' LabelFontSize(Label1)
Sub LabelFontSize(v As View)
	If v Is Label Then
		Dim lb As Label
		lb = v
		Dim fx As Float
		fx = (lb.Height - lb.Height/2)
		lb.TextSize = fx
	End If
End Sub