﻿Type=Class
Version=3
@EndOfDesignText@
Private Sub Class_Globals
	Private crsr As Cursor
	Private accounts() As Object
End Sub

Public Sub Initialize

End Sub

' read list contacts sim
Public Sub ReadContactsSim() As Cursor
	Try
		Dim PhoneApp As Phone
		Dim simUri As Uri
		Dim cr As ContentResolver
		Dim s As String
   		simUri.Parse("content://icc/adn")
   		crsr = cr.Query(simUri, Null, "", Null, "")
   		crsr.Close
		Return crsr
	Catch
		ToastMessageShow("Error Read list", True)
	End Try
End Sub

' read list account (goole,whatsapp,videb,skype,mail ect ect
Sub ReadAccountPhone() As Object
	Try
		Dim R As Reflector
		Dim PhoneApp As PhoneId
		Dim s As String
   		R.Target = R.RunStaticMethod("android.accounts.AccountManager", "get", _
      	Array As Object(R.GetContext), Array As String("android.content.Context"))
		
   		If R.IsNull = False Then
			accounts = R.RunMethod("getAccounts")
		End If
		Return accounts
	Catch
		ToastMessageShow("Error Read list", True)
	End Try
End Sub

' return info display width, height,scale,approssimatescreensize
Sub GetInfoDisplay() As String
	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	Return lv
End Sub

' return scale activity
Sub GetInfoScale() As String
	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	Return lv.Scale
End Sub

' return width activity
Sub GetInfoWidght() As String
	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	Return lv.Width
End Sub

' return height activity
Sub GetInfoHeight() As String
	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	Return lv.Height
End Sub

' return approssimatescreensize activity
Sub GetInfoApprossimatescreensize() As String
	Dim w,h As Float
	Dim lv As LayoutValues
	lv = GetDeviceLayoutValues
	Return lv.ApproximateScreenSize
End Sub
' return type Orientations
Sub GetOrientationsActivity(ac As Activity) As String
	If ac.Width > ac.Height Then
		Return "landscape"
	Else
		Return "portrait"
	End If
End Sub