﻿Type=Class
Version=3
@EndOfDesignText@
Sub Class_Globals
	Private Parser As SaxParser 
   	Private hc As HttpClient
   	Private req As HttpRequest
	'liste valori recuperati dal foglio xml 
	Dim ls() As List
	Private Result() As String
	'Pah external examples www.mysite.com/file.xml
	Dim PathExternal As String
	'path internal examples /folderapp/
	Dim PathInternal As String
	' name file examples setting.xml
	Dim Namefile As String
	' name node xml examples node1,node2,node3...
	Dim NameNode As String
	
End Sub

' Initialize xml metod
'
' This class helps you To download an xml File xml online (web) AND Return after parse all the values ​​In String format.
' path disk + path folder + filename + namenode xml node1,node2,node3...,mode 1 = web 2 = new document
' Initialize("www.ivanomonti.eu"/foglio.xml","XMLFolder","foglio.xnl","name,surname,phone,email,url,facebook,google+",0)
Public Sub Initialize(xPathExternal As String, xPathInternal As String, xNamefile As String, xNameNode As String, mode As Int )
	
	If mode = 1 Then
		WebInitilize(xPathExternal, xPathInternal, xNamefile, xNameNode)
		Return
	End If
	
	If File.Exists(File.DirRootExternal, PathInternal) = False Then 
		File.MakeDir(File.DirRootExternal, PathInternal)
	End If
	
	If File.Exists(File.DirRootExternal & PathInternal, Namefile ) = True Then
		Dim In As InputStream
		In = File.OpenInput(File.DirRootExternal & PathInternal, Namefile)
   		Parser.Parse(In, "Parser")
   		In.Close
	Else
		File.WriteString(File.DirRootExternal & PathInternal, Namefile,"")
	End If
	
	
End Sub

Private Sub WebInitilize(xPathExternal As String, xPathInternal As String, xNamefile As String, xNameNode As String)
	PathExternal = xPathExternal
	PathInternal = xPathInternal
	Namefile = xNamefile
	NameNode = xNameNode
	Result = Regex.Split(",",xNameNode)
	Dim ls(Result.Length) As List
	For i = 0 To Result.Length-1
		ls(i).Initialize
	Next
	Try
		If File.Exists(File.DirRootExternal, PathInternal) = False Then 
			File.MakeDir(File.DirRootExternal, PathInternal)
		End If
		If File.Exists(File.DirRootExternal & PathInternal, Namefile ) = True Then
			Dim In As InputStream
			In = File.OpenInput(File.DirRootExternal & PathInternal, Namefile)
   			Parser.Parse(In, "Parser")
   			In.Close
		Else
			UpdateList(PathExternal)
		End If
	Catch
		UpdateList(PathExternal)
	End Try
End Sub

Private Sub hc_ResponseSuccess(Response As HttpResponse, TaskId As Int)
	Try
		If File.Exists(File.DirRootExternal, PathInternal) = False Then 
			File.MakeDir(File.DirRootExternal, PathInternal)
		End If
    	Response.GetAsynchronously("GetXml", File.OpenOutput(File.DirRootExternal & PathInternal, Namefile, False), True, TaskId)
	Catch
		Try
		If File.Exists(File.DirRootExternal & PathInternal, Namefile) = False Then
			Msgbox("Error 3: " & PathInternal & Namefile & " File inesistente", "Alert")
			Dim In As InputStream
			In = File.OpenInput(File.DirRootExternal & PathInternal, Namefile)
   			Parser.Parse(In, "Parser")
   			In.Close
		End If
			Response.GetAsynchronously("GetXml", File.OpenOutput(File.DirRootExternal & PathInternal, Namefile, False), True, TaskId)
		Catch
			Msgbox("Error 1: " & Response.GetString("UTF8"), "Alert")
		End Try
	End Try
End Sub

Private Sub hc_ResponseError(Response As HttpResponse, Reason As String, StatusCode As Int, TaskId As Int)
    If Response <> Null Then
		Msgbox("Error 2: " & Response.GetString("UTF8"), "Alert")
    	Response.Release						
    End If			
End Sub

Private Sub Parser_StartElement(Uri As String, name As String, Attributes As Attributes)
				
End Sub

Private Sub Parser_EndElement(Uri As String, name As String, Text As StringBuilder)
	Try
		For i = 0 To Result.Length-1
			If name = Result(i) Then 
		 		ls(i).Add(Text.ToString)
			End If
		Next
	Catch
		ToastMessageShow("Error parse xml", True)
	End Try
End Sub

Private Sub GetXml_StreamFinish(Success As Boolean, TaskId As Int)
    If Success = False Then
       Msgbox(LastException.Message, "Error")
       Return
    End If
	Try
    	Dim In As InputStream
		In = File.OpenInput(File.DirRootExternal & PathInternal, Namefile)
   		Parser.Parse(In, "Parser")
   		In.Close
		ToastMessageShow("File successfully downloaded", True)
	Catch
		Msgbox("Error xml","Alert")
		Return
	End Try
End Sub

' updates the xml file with the one in the web
Public Sub UpdateList(url As String)
	Try
		Parser.Initialize
		hc.Initialize("hc")
		If url = False OR url = "" OR url.Length = 0 Then 
			Msgbox("Errore: xml url not valid","Alert")
			Return
		End If
    	req.InitializeGet(url)		
    	hc.Execute(req,1)
	Catch
		Msgbox("Errore: xml not found or network not connected","Alert")
	End Try
End Sub

' delete file xml
Public Sub DeleteXmlFile As Boolean
	If File.Exists(File.DirRootExternal & PathInternal, Namefile) = True Then 
		File.Delete(File.DirRootExternal & PathInternal, Namefile)
		Dim ls(Result.Length) As List
		For i = 0 To Result.Length-1
			ls(i).Initialize
		Next
		Msgbox("File successfully deleted","Alert")
	End If
	Return True
End Sub

' verify exists file xml, return value boolean true
Public Sub VerifyXmlFile() As Boolean
	If File.Exists(File.DirRootExternal & PathInternal, Namefile) = True Then 
		Msgbox("File Xml Exists","Alert")
		Return True
	Else
		Msgbox("File Xml Not Exists","Alert")
		Return False
	End If
End Sub