﻿Type=Class
Version=3
@EndOfDesignText@

Sub Class_Globals
	Private Dialog1,Dialog2,Dialog3,dialog4 As Panel
	Private col1,col2 As Int
	Private act As Activity
End Sub

' initialize class user two colors for gradient
' dialog semi trasparent 
' color1 = Colors.ARGB(200,255,0,0)
' color2 = Colors.ARGB(200,0,0,0)
' result dialog gradient red to black
Public Sub Initialize(color1 As Int, color2 As Int)
	col1 = color1
	col2 = color2
End Sub

#Region Dialog1

' Dialog1 simple dialog one button
'
' dim s,ss as string
' s = "title"
' ss = "description"
' dim btn as button
' btn.initialize("button1")
' btn.text = "Continue"
' btn.TextSize = 12
' btn.Typeface = Typeface.DEFAULT
' Dialog1(Activity,s,s,btn)
Sub Dialog01(ac As Activity, caption As String, description As String, btn1 As Button)

	DialogClose
	
	Dialog1.Initialize("Dialog1")
	Dialog1.Tag = "DialogClose"
	Dialog1.Color = Colors.ARGB(200,50,100,150)
	ac.AddView(Dialog1,5%x,15%y,90%x,60%y)
	
	act = ac
	
	Dim lb1, lb2 As Label
	
	lb1.Initialize("")
	lb1.Text = caption
	lb1.Typeface = Typeface.DEFAULT_BOLD
	lb1.TextColor = Colors.White
	lb1.TextSize = 14
	Dialog1.AddView(lb1,5%x,2.5%y,80%x,35dip)
	
	lb2.Initialize("")
	lb2.Text = description
	lb2.Gravity = Gravity.CENTER_VERTICAL
	lb2.Typeface = Typeface.DEFAULT
	lb2.TextColor = Colors.White
	lb2.TextSize = 14
	Dialog1.AddView(lb2,5%x,5%y,80%x,50%y)
	
	
	Dialog1.AddView(btn1,2.5%x,Dialog1.Height-70dip,85%x,60dip)
	
	Dim g As Canvas
	Dim r As Rect
	Dim gradient As GradientDrawable
	Dim cls(2) As Int
	cls(0) = col1
	cls(1) = col2
	gradient.Initialize("TOP_BOTTOM",cls)
	r.Initialize(0,0,Dialog1.Width,Dialog1.Height)
	g.Initialize(Dialog1)
	g.DrawDrawable(gradient,r)
	g.DrawRect(r,Colors.White,False,2)

End Sub

#End Region

#Region Dialog2

' Dialog2 simple dialog two button
'
' dim s,ss as string
' s = "title"
' ss = "description"
' dim btn1, btn2 as button
' btn1.initialize("button1")
' btn1.text = "Cancel"
' btn1.TextSize = 12
' btn1.Typeface = Typeface.DEFAULT
' btn2.initialize("button2")
' btn2.text = "Save"
' btn2.TextSize = 12
' btn2.Typeface = Typeface.DEFAULT
' Dialog1(Activity,s,s,btn1,btn2)
Sub Dialog02(ac As Activity, caption As String, description As String, btn1 As Button, btn2 As Button)

	DialogClose
	
	Dialog2.Initialize("Dialog2")
	Dialog2.Tag = "DialogClose"
	Dialog2.Color = Colors.ARGB(200,50,100,150)
	
	ac.AddView(Dialog2,5%x,15%y,90%x,70%y)
	
	act = ac
	
	Dim lb1, lb2 As Label
	
	lb1.Initialize("")
	lb1.Text = caption
	lb1.Typeface = Typeface.DEFAULT_BOLD
	lb1.TextColor = Colors.White
	lb1.TextSize = 14
	Dialog2.AddView(lb1,5%x,2.5%y,80%x,35dip)
	
	lb2.Initialize("")
	lb2.Text = description
	lb2.Gravity = Gravity.CENTER_VERTICAL
	lb2.Typeface = Typeface.DEFAULT
	lb2.TextColor = Colors.White
	lb2.TextSize = 14
	
	Dialog2.AddView(lb2,5%x,5%y,80%x,50%y)
	
	
	Dialog2.AddView(btn1,2.5%x,Dialog2.Height-70dip,40%x,60dip)
	Dialog2.AddView(btn2,48%x,Dialog2.Height-70dip,40%x,60dip)

	
	Dim g As Canvas
	Dim r As Rect
	Dim gradient As GradientDrawable
	Dim cls(2) As Int
	cls(0) = col1
	cls(1) = col2
	gradient.Initialize("TOP_BOTTOM",cls)
	r.Initialize(0,0,Dialog2.Width,Dialog2.Height)
	g.Initialize(Dialog2)
	g.DrawDrawable(gradient,r)
	g.DrawRect(r,Colors.White,False,2)

End Sub


#End Region

#Region Dialog3

' Dialog3 simple dialog one listview
'
' Dim bmp As Bitmap
' bmp.InitializeMutable(64,64)
' Dim cv As Canvas
' cv.Initialize2(bmp)
' Dim r As Rect
' r.Initialize(0,0,32,32)
' cv.DrawOval(r,Colors.ARGB(180,255,0,0),True,1)
' Dim listV As ListView
' listV.Initialize("ListV")
' For i = 0 To 10
'	listV.AddSingleLine("Line ")
' Next
' dialog3(Activity,ListV)
Sub Dialog03(ac As Activity, listV As ListView )

	DialogClose

	Dialog3.Initialize("Dialog3")
	Dialog3.Tag = "DialogClose"
	Dialog3.Color = Colors.ARGB(200,50,100,150)
	ac.AddView(Dialog3,5%x,15%y,90%x,70%y)
	
	act = ac
	
	Dialog3.AddView(listV,2dip,2dip,Dialog3.Width-4dip,Dialog3.Height-4dip)
	
	Dim g As Canvas
	Dim r As Rect
	Dim gradient As GradientDrawable
	Dim cls(2) As Int
	cls(0) = col1
	cls(1) = col2
	
	gradient.Initialize("TOP_BOTTOM",cls)
	r.Initialize(0,0,Dialog3.Width,Dialog3.Height)
	g.Initialize(Dialog3)
	g.DrawDrawable(gradient,r)
	g.DrawRect(r,Colors.White,False,2)

End Sub

#End Region

#Region Dialog4

' Dialog4 simple dialog one listview

' Dim listV As ListView
' Dim title As String
' title = "Ciao"
' listV.Initialize("ListV")
' For i = 0 To 10
'	listV.AddSingleLine("Line ")
' Next
' dialog4(Activity,ListV,title)
Sub Dialog04(ac As Activity, listV As ListView, title As Label )

	DialogClose


	Dim anima As Animation
	anima.InitializeScaleCenter("",0,0,1,1,ac)
	anima.Duration = 250
'	anima.RepeatCount = 1
'	anima.RepeatMode = anima.REPEAT_REVERSE

	dialog4.Initialize("Dialog3")
	dialog4.Tag = "DialogClose"
	dialog4.Color = Colors.ARGB(200,50,100,150)
	
	ac.AddView(dialog4,5%x,15%y,90%x,70%y)
	
	act = ac
	
	dialog4.AddView(title,2dip,2dip,dialog4.Width-4dip,50dip)
	dialog4.AddView(listV,2dip,60dip,dialog4.Width-4dip,dialog4.Height-62dip)
	
	Dim g As Canvas
	Dim r As Rect
	Dim gradient As GradientDrawable
	Dim cls(2) As Int
	cls(0) = col1
	cls(1) = col2
	
	gradient.Initialize("TOP_BOTTOM",cls)
	r.Initialize(0,0,dialog4.Width,dialog4.Height)
	g.Initialize(dialog4)
	g.DrawDrawable(gradient,r)
	g.DrawRect(r,Colors.White,False,2)
	
	anima.Start(dialog4)

End Sub

#End Region

Sub Dialog01System(ac As Activity, title As String, message As String, bt1 As String) As Int

	Dim dlg As CustomDialog
	
	Dim lb As Label
	lb.Initialize("")
	lb.Text = message
	
	dlg.AddView(lb,0,0,89%x,60%y)
	
	Dim r As Rect
	
	Dim g As Canvas
	Dim r As Rect
	
	Dim gradient As GradientDrawable

	Dim cls(2) As Int
	cls(0) = col1
	cls(1) = col2
	
	gradient.Initialize("TOP_BOTTOM",cls)
	r.Initialize(0,0,lb.Width,lb.Height)
	g.Initialize(lb)
	g.DrawDrawable(gradient,r)
	g.DrawRect(r,Colors.White,False,2)
	
	Return dlg.Show(title,bt1,"","",Null)
	
End Sub

Sub Dialog02System(ac As Activity, title As String, message As String, bt1 As String, bt2 As String) As Int

	Dim dlg As CustomDialog
	
	Dim lb As Label
	lb.Initialize("")
	lb.Text = message
	
	dlg.AddView(lb,0,0,89%x,60%y)
	
	Dim r As Rect
	
	Dim g As Canvas
	Dim r As Rect
	
	Dim gradient As GradientDrawable

	Dim cls(2) As Int
	cls(0) = col1
	cls(1) = col2
	
	gradient.Initialize("TOP_BOTTOM",cls)
	r.Initialize(0,0,lb.Width,lb.Height)
	g.Initialize(lb)
	g.DrawDrawable(gradient,r)
	g.DrawRect(r,Colors.White,False,2)
	
	Return dlg.Show(title,bt1,bt2,"",Null)
	
End Sub

Sub Dialog03System(ac As Activity, listV As ListView, title As String, bt1 As String, bt2 As String, bt3 As String) As Int

	Dim dlg As CustomDialog
	
	dlg.AddView(listV,0,0,89%x,60%y)
	
	Dim r As Rect
	
	Dim g As Canvas
	Dim r As Rect
	
	Dim gradient As GradientDrawable

	Dim cls(2) As Int
	cls(0) = col1
	cls(1) = col2
	
	gradient.Initialize("TOP_BOTTOM",cls)
	r.Initialize(0,0,listV.Width,listV.Height)
	g.Initialize(listV)
	g.DrawDrawable(gradient,r)
	g.DrawRect(r,Colors.White,False,2)
	
	Return dlg.Show(title,bt1,bt2,bt3,Null)
	
End Sub

#Region Event

' close dialog
Sub DialogClose()
	If act.IsInitialized Then
		For i = 0 To act.NumberOfViews-1
			Dim s As String = act.GetView(i).Tag
			Log(s)
			If s = "DialogClose" Then
				act.RemoveViewAt(i)
			End If
		Next
	End If
End Sub

' find open Dialog retrurn true
Sub DialogVerify() As Boolean
	If act.IsInitialized Then
		For i = 0 To act.NumberOfViews-1
			Dim s As String = act.GetView(i).Tag
			Log(s)
			If s = "DialogClose" Then
				Return True
			End If
		Next
	End If
End Sub

#End Region