﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Private Sub Class_Globals
	Private AStreams As AsyncStreams   
	Private Server As ServerSocket  
	Private Socket1 As Socket
    Private myport As String
	Private myServerIp As String
	Dim Result() As Byte
End Sub

Sub Initialize(port As String, ServerIp As String)
	myport = port
	myServerIp = ServerIp
End Sub

Sub DisconnectServer
	Socket1.Close()
	ToastMessageShow( "Disconnessione...", True) 
End Sub

Sub ConnectServer
	Try 
		Socket1.Initialize("Socket1")
		Socket1.Connect(myServerIp ,myport, 20000)
		ToastMessageShow( "Attendere connessione in corso...", True)
	Catch
		ToastMessageShow( "Non conesso", True) 
	End Try 
End Sub

Private Sub Socket1_Connected (Connected  As Boolean)  
    If Connected = True Then   
		ToastMessageShow( "Connesso", True) 
	 	AStreams.Initialize(Socket1.InputStream,Socket1.OutputStream,"Astreams")
	Else
		ToastMessageShow( "Non Connesso", True) 
    End If
End Sub

Sub send_data(data As String)
	If AStreams.IsInitialized = True Then   
		Dim Buffer() As Byte       
		data=data
		Buffer = data.GetBytes("UTF8")    
		AStreams.Write(Buffer)     
	End If
End Sub

Private Sub AStreams_NewData (Buffer() As Byte)
	Result = Buffer
End Sub

Private Sub AStreams_Error   
	ToastMessageShow( LastException.Message, True)
End Sub
