﻿Type=Class
Version=3
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private form As Activity
	Private colore(1) As Int
	Private toggle(0) As Button
	Private l,t,w,h,centerw,centerh As Float
	Private topobject, space As Int
	Private imagenull As String
	imagenull = "iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsIAAA7CARUoSoAAAAAYSURBVEhL7cEBAQAAAIIg/6+uIUAAAFwNCRgAAdACW14AAAAASUVORK5CYII="
	Private lv As LayoutValues
	Private srv As HorizontalScrollView
	Private name As String
	Dim title As List
End Sub

#Region public

'Initializes the object. You can add parameters to this method if needed.
'
' position 0 = top 1 = center, 2 = bottom
Public Sub Initialize(ToolBarName As String)
	name = ToolBarName
	title.Initialize
End Sub

Public Sub ToolBar(act As Activity, position As Int, Height As Int, btn() As Button, col() As Int )

	lv = GetDeviceLayoutValues
	
	topobject = position
	
	Dim colore(col.Length) As Int
	
	For I = 0 To col.Length-1
		colore(I) = col(I)
	Next
	
	form=act
	
	Private toggle(btn.Length) As Button
	
	l = 0dip
	t = 0dip
	
	If btn.Length < 6 Then
		w = 100%x/btn.Length
	Else
		w = (100%x/5)
	End If
	
	h = Height
	
	If topobject = 0 Then
		t = 0
	Else If topobject = 1 Then
		t = (100%y-Height)/2
	Else If topobject = 2 Then
		t = 100%y-(Height)
	End If

	centerw = 0
	
	centerh = t
	
	CreateToggleScrool(btn)

End Sub

Public Sub SetColor(col() As Int)
	Private color(col.Length) As Int
	For I = 0 To col.Length-1
		colore(I) = col(I)
	Next
End Sub

Public Sub HideToolBar()
	Try
	If form.IsInitialized Then
		For I = 0 To form.NumberOfViews-1
			Dim s As String = form.GetView(I).Tag
			Log(s)
			If s = name Then
				If form.getview(I).Visible = False Then
					form.getview(I).Visible = True
				Else
					form.getview(I).Visible = False
				End If
			End If
		Next
	End If
	Catch
	End Try
End Sub

Public Sub ClearToolBar()
	Try
	If form.IsInitialized Then
		For I = 0 To form.NumberOfViews-1
			Dim s As String = form.GetView(I).Tag
			Log(s)
			If s = name Then
				form.RemoveViewAt(I)
			End If
		Next
	End If
	Catch
	End Try
End Sub

Public Sub ItemClear
	Try
	srv.Panel.RemoveAllViews
	Catch
	End Try
End Sub

#End Region

#Region private

Private Sub CreateToggleScrool(btn() As Button)
	srv.Initialize((w*btn.Length),"")
	srv.Tag = name
	form.AddView(srv,centerw,centerh,100%x,h)
	For i = 0 To toggle.Length-1
		title.Add(btn(i).Text)
		toggle(i) = btn(i)
		srv.Panel.AddView(toggle(i),l,0,w,h)
		l = l + w + space
		Try
			Dim bd As BitmapDrawable = btn(i).Background
			If bd.IsInitialized = False Then
				color(toggle(i))
			Else
				btn(i).Text = ""
				btn(i).Gravity = Bit.OR(Gravity.BOTTOM, Gravity.CENTER_HORIZONTAL)
			End If
		Catch
			color(toggle(i))
		End Try
	Next
End Sub

Private Sub color(toggleColor As View)
	Dim gd As GradientDrawable
	gd.Initialize("TOP_BOTTOM",colore)
	toggleColor.Background = gd
End Sub

Private Sub Base64StringToImage(s As String) As Bitmap
   Dim su As StringUtils
   Dim bytes() As Byte = su.DecodeBase64(s)
   Dim In As InputStream
   In.InitializeFromBytesArray(bytes, 0, bytes.Length)
   Dim bmp As Bitmap
   bmp.Initialize2(In)
   In.Close
   Return bmp
End Sub

#End Region